
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;

public class XmlElementRefsBean
    implements XmlElementRefs
{

    private XmlElementRef[] value;

    public XmlElementRefsBean(XmlElementRef[] value) {
        this.value = value;
    }

    public XmlElementRefsBean() {
    }

    public Class<XmlElementRefs> annotationType() {
        return XmlElementRefs.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlElementRefs)) {
            return false;
        }
        if (!value.equals(((XmlElementRefsBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^ 0);
        return r;
    }

    public void value(XmlElementRef[] value) {
        this.value = value;
    }

    public XmlElementRef[] value() {
        return value;
    }

}
