
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlElementWrapper;

public class XmlElementWrapperBean
    implements XmlElementWrapper
{

    private String name;
    private boolean required;
    private String namespace;
    private boolean nillable;

    public XmlElementWrapperBean(String name, boolean required, String namespace, boolean nillable) {
        this.name = name;
        this.required = required;
        this.namespace = namespace;
        this.nillable = nillable;
    }

    public XmlElementWrapperBean() {
    }

    public Class<XmlElementWrapper> annotationType() {
        return XmlElementWrapper.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlElementWrapper)) {
            return false;
        }
        if (!name.equals(((XmlElementWrapperBean) that).name)) {
            return false;
        }
        if (!(required == ((XmlElementWrapperBean) that).required)) {
            return false;
        }
        if (!namespace.equals(((XmlElementWrapperBean) that).namespace)) {
            return false;
        }
        if (!(nillable == ((XmlElementWrapperBean) that).nillable)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^name.hashCode());
        r = (r^(required?-393139297 : 0));
        r = (r^namespace.hashCode());
        r = (r^(nillable? 328890453 : 0));
        return r;
    }

    public void name(String value) {
        this.name = value;
    }

    public String name() {
        return name;
    }

    public void required(boolean value) {
        this.required = value;
    }

    public boolean required() {
        return required;
    }

    public void namespace(String value) {
        this.namespace = value;
    }

    public String namespace() {
        return namespace;
    }

    public void nillable(boolean value) {
        this.nillable = value;
    }

    public boolean nillable() {
        return nillable;
    }

}
