
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

public class XmlJavaTypeAdapterBean
    implements XmlJavaTypeAdapter
{

    private Class value;
    private Class type;

    public XmlJavaTypeAdapterBean(Class value, Class type) {
        this.value = value;
        this.type = type;
    }

    public XmlJavaTypeAdapterBean() {
    }

    public Class<XmlJavaTypeAdapter> annotationType() {
        return XmlJavaTypeAdapter.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlJavaTypeAdapter)) {
            return false;
        }
        if (!value.equals(((XmlJavaTypeAdapterBean) that).value)) {
            return false;
        }
        if (!type.equals(((XmlJavaTypeAdapterBean) that).type)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^value.hashCode());
        r = (r^type.hashCode());
        return r;
    }

    public void value(Class value) {
        this.value = value;
    }

    public Class value() {
        return value;
    }

    public void type(Class value) {
        this.type = value;
    }

    public Class type() {
        return type;
    }

}
