
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlRootElement;

public class XmlRootElementBean
    implements XmlRootElement
{

    private String name;
    private String namespace;

    public XmlRootElementBean(String name, String namespace) {
        this.name = name;
        this.namespace = namespace;
    }

    public XmlRootElementBean() {
    }

    public Class<XmlRootElement> annotationType() {
        return XmlRootElement.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlRootElement)) {
            return false;
        }
        if (!name.equals(((XmlRootElementBean) that).name)) {
            return false;
        }
        if (!namespace.equals(((XmlRootElementBean) that).namespace)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^name.hashCode());
        r = (r^namespace.hashCode());
        return r;
    }

    public void name(String value) {
        this.name = value;
    }

    public String name() {
        return name;
    }

    public void namespace(String value) {
        this.namespace = value;
    }

    public String namespace() {
        return namespace;
    }

}
