
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;

public class XmlAccessorTypeBean
    implements XmlAccessorType
{

    private XmlAccessType value;

    public XmlAccessorTypeBean(XmlAccessType value) {
        this.value = value;
    }

    public XmlAccessorTypeBean() {
    }

    public Class<XmlAccessorType> annotationType() {
        return XmlAccessorType.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlAccessorType)) {
            return false;
        }
        if (!value.equals(((XmlAccessorTypeBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^ 0);
        return r;
    }

    public void value(XmlAccessType value) {
        this.value = value;
    }

    public XmlAccessType value() {
        return value;
    }

}
